<?php



$tdatatb_farmacias = array();
$tdatatb_farmacias[".searchableFields"] = array();
$tdatatb_farmacias[".ShortName"] = "tb_farmacias";
$tdatatb_farmacias[".OwnerID"] = "";
$tdatatb_farmacias[".OriginalTable"] = "tb_farmacias";


$tdatatb_farmacias[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatatb_farmacias[".originalPagesByType"] = $tdatatb_farmacias[".pagesByType"];
$tdatatb_farmacias[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatatb_farmacias[".originalPages"] = $tdatatb_farmacias[".pages"];
$tdatatb_farmacias[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatatb_farmacias[".originalDefaultPages"] = $tdatatb_farmacias[".defaultPages"];

//	field labels
$fieldLabelstb_farmacias = array();
$fieldToolTipstb_farmacias = array();
$pageTitlestb_farmacias = array();
$placeHolderstb_farmacias = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelstb_farmacias["English"] = array();
	$fieldToolTipstb_farmacias["English"] = array();
	$placeHolderstb_farmacias["English"] = array();
	$pageTitlestb_farmacias["English"] = array();
	$fieldLabelstb_farmacias["English"]["id"] = "Id";
	$fieldToolTipstb_farmacias["English"]["id"] = "";
	$placeHolderstb_farmacias["English"]["id"] = "";
	$fieldLabelstb_farmacias["English"]["Nome_fantasia"] = "Nome Fantasia";
	$fieldToolTipstb_farmacias["English"]["Nome_fantasia"] = "";
	$placeHolderstb_farmacias["English"]["Nome_fantasia"] = "";
	$fieldLabelstb_farmacias["English"]["cidade"] = "Cidade";
	$fieldToolTipstb_farmacias["English"]["cidade"] = "";
	$placeHolderstb_farmacias["English"]["cidade"] = "";
	$fieldLabelstb_farmacias["English"]["bairro"] = "Bairro";
	$fieldToolTipstb_farmacias["English"]["bairro"] = "";
	$placeHolderstb_farmacias["English"]["bairro"] = "";
	if (count($fieldToolTipstb_farmacias["English"]))
		$tdatatb_farmacias[".isUseToolTips"] = true;
}


	$tdatatb_farmacias[".NCSearch"] = true;



$tdatatb_farmacias[".shortTableName"] = "tb_farmacias";
$tdatatb_farmacias[".nSecOptions"] = 0;

$tdatatb_farmacias[".mainTableOwnerID"] = "";
$tdatatb_farmacias[".entityType"] = 0;

$tdatatb_farmacias[".strOriginalTableName"] = "tb_farmacias";

	



$tdatatb_farmacias[".showAddInPopup"] = false;

$tdatatb_farmacias[".showEditInPopup"] = false;

$tdatatb_farmacias[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatatb_farmacias[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatatb_farmacias[".listAjax"] = false;
//	temporary
$tdatatb_farmacias[".listAjax"] = false;

	$tdatatb_farmacias[".audit"] = false;

	$tdatatb_farmacias[".locking"] = false;


$pages = $tdatatb_farmacias[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatatb_farmacias[".edit"] = true;
	$tdatatb_farmacias[".afterEditAction"] = 0;
	$tdatatb_farmacias[".closePopupAfterEdit"] = 1;
	$tdatatb_farmacias[".afterEditActionDetTable"] = "Detail tables not found!";
}

if( $pages[PAGE_ADD] ) {
$tdatatb_farmacias[".add"] = true;
$tdatatb_farmacias[".afterAddAction"] = 0;
$tdatatb_farmacias[".closePopupAfterAdd"] = 1;
$tdatatb_farmacias[".afterAddActionDetTable"] = "Detail tables not found!";
}

if( $pages[PAGE_LIST] ) {
	$tdatatb_farmacias[".list"] = true;
}



$tdatatb_farmacias[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatatb_farmacias[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatatb_farmacias[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatatb_farmacias[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatatb_farmacias[".printFriendly"] = true;
}



$tdatatb_farmacias[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatatb_farmacias[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatatb_farmacias[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatatb_farmacias[".isUseAjaxSuggest"] = true;

$tdatatb_farmacias[".rowHighlite"] = true;





$tdatatb_farmacias[".ajaxCodeSnippetAdded"] = false;

$tdatatb_farmacias[".buttonsAdded"] = false;

$tdatatb_farmacias[".addPageEvents"] = false;

// use timepicker for search panel
$tdatatb_farmacias[".isUseTimeForSearch"] = false;


$tdatatb_farmacias[".badgeColor"] = "008B8B";


$tdatatb_farmacias[".allSearchFields"] = array();
$tdatatb_farmacias[".filterFields"] = array();
$tdatatb_farmacias[".requiredSearchFields"] = array();

$tdatatb_farmacias[".googleLikeFields"] = array();
$tdatatb_farmacias[".googleLikeFields"][] = "id";
$tdatatb_farmacias[".googleLikeFields"][] = "Nome_fantasia";
$tdatatb_farmacias[".googleLikeFields"][] = "cidade";
$tdatatb_farmacias[".googleLikeFields"][] = "bairro";



$tdatatb_farmacias[".tableType"] = "list";

$tdatatb_farmacias[".printerPageOrientation"] = 0;
$tdatatb_farmacias[".nPrinterPageScale"] = 100;

$tdatatb_farmacias[".nPrinterSplitRecords"] = 40;

$tdatatb_farmacias[".geocodingEnabled"] = false;










$tdatatb_farmacias[".pageSize"] = 20;

$tdatatb_farmacias[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatatb_farmacias[".strOrderBy"] = $tstrOrderBy;

$tdatatb_farmacias[".orderindexes"] = array();

$tdatatb_farmacias[".sqlHead"] = "SELECT id,  	Nome_fantasia,  	cidade,  	bairro";
$tdatatb_farmacias[".sqlFrom"] = "FROM tb_farmacias";
$tdatatb_farmacias[".sqlWhereExpr"] = "";
$tdatatb_farmacias[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatatb_farmacias[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatatb_farmacias[".arrGroupsPerPage"] = $arrGPP;

$tdatatb_farmacias[".highlightSearchResults"] = true;

$tableKeystb_farmacias = array();
$tableKeystb_farmacias[] = "id";
$tdatatb_farmacias[".Keys"] = $tableKeystb_farmacias;


$tdatatb_farmacias[".hideMobileList"] = array();




//	id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id";
	$fdata["GoodName"] = "id";
	$fdata["ownerTable"] = "tb_farmacias";
	$fdata["Label"] = GetFieldLabel("tb_farmacias","id");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "id";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_farmacias["id"] = $fdata;
		$tdatatb_farmacias[".searchableFields"][] = "id";
//	Nome_fantasia
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "Nome_fantasia";
	$fdata["GoodName"] = "Nome_fantasia";
	$fdata["ownerTable"] = "tb_farmacias";
	$fdata["Label"] = GetFieldLabel("tb_farmacias","Nome_fantasia");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "Nome_fantasia";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Nome_fantasia";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_farmacias["Nome_fantasia"] = $fdata;
		$tdatatb_farmacias[".searchableFields"][] = "Nome_fantasia";
//	cidade
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "cidade";
	$fdata["GoodName"] = "cidade";
	$fdata["ownerTable"] = "tb_farmacias";
	$fdata["Label"] = GetFieldLabel("tb_farmacias","cidade");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "cidade";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "cidade";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_farmacias["cidade"] = $fdata;
		$tdatatb_farmacias[".searchableFields"][] = "cidade";
//	bairro
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "bairro";
	$fdata["GoodName"] = "bairro";
	$fdata["ownerTable"] = "tb_farmacias";
	$fdata["Label"] = GetFieldLabel("tb_farmacias","bairro");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "bairro";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "bairro";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_farmacias["bairro"] = $fdata;
		$tdatatb_farmacias[".searchableFields"][] = "bairro";


$tables_data["tb_farmacias"]=&$tdatatb_farmacias;
$field_labels["tb_farmacias"] = &$fieldLabelstb_farmacias;
$fieldToolTips["tb_farmacias"] = &$fieldToolTipstb_farmacias;
$placeHolders["tb_farmacias"] = &$placeHolderstb_farmacias;
$page_titles["tb_farmacias"] = &$pageTitlestb_farmacias;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["tb_farmacias"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["tb_farmacias"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//


require_once(getabspath("classes/sql.php"));










function createSqlQuery_tb_farmacias()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "id,  	Nome_fantasia,  	cidade,  	bairro";
$proto0["m_strFrom"] = "FROM tb_farmacias";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "id",
	"m_strTable" => "tb_farmacias",
	"m_srcTableName" => "tb_farmacias"
));

$proto6["m_sql"] = "id";
$proto6["m_srcTableName"] = "tb_farmacias";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "Nome_fantasia",
	"m_strTable" => "tb_farmacias",
	"m_srcTableName" => "tb_farmacias"
));

$proto8["m_sql"] = "Nome_fantasia";
$proto8["m_srcTableName"] = "tb_farmacias";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "cidade",
	"m_strTable" => "tb_farmacias",
	"m_srcTableName" => "tb_farmacias"
));

$proto10["m_sql"] = "cidade";
$proto10["m_srcTableName"] = "tb_farmacias";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "bairro",
	"m_strTable" => "tb_farmacias",
	"m_srcTableName" => "tb_farmacias"
));

$proto12["m_sql"] = "bairro";
$proto12["m_srcTableName"] = "tb_farmacias";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto14=array();
$proto14["m_link"] = "SQLL_MAIN";
			$proto15=array();
$proto15["m_strName"] = "tb_farmacias";
$proto15["m_srcTableName"] = "tb_farmacias";
$proto15["m_columns"] = array();
$proto15["m_columns"][] = "id";
$proto15["m_columns"][] = "Nome_fantasia";
$proto15["m_columns"][] = "cidade";
$proto15["m_columns"][] = "bairro";
$obj = new SQLTable($proto15);

$proto14["m_table"] = $obj;
$proto14["m_sql"] = "tb_farmacias";
$proto14["m_alias"] = "";
$proto14["m_srcTableName"] = "tb_farmacias";
$proto16=array();
$proto16["m_sql"] = "";
$proto16["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto16["m_column"]=$obj;
$proto16["m_contained"] = array();
$proto16["m_strCase"] = "";
$proto16["m_havingmode"] = false;
$proto16["m_inBrackets"] = false;
$proto16["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto16);

$proto14["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto14);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="tb_farmacias";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_tb_farmacias = createSqlQuery_tb_farmacias();


	
		;

				

$tdatatb_farmacias[".sqlquery"] = $queryData_tb_farmacias;

$tableEvents["tb_farmacias"] = new eventsBase;
$tdatatb_farmacias[".hasEvents"] = false;

?>